Torubles with libxml2 update

General support questions
senioryoshi
Posts: 2
Joined: 2017/08/28 22:05:20

Torubles with libxml2 update

Postby senioryoshi » 2017/08/28 22:07:31

Hi, i'm trying to update libxml2 because I need the php extension DOMDocument 2.7.8 or higher.

I tried to do this by using

yum update libxml2

but it says that the package libxml2-2.7.6-21.el6_8.1.x86_64 it's already the last version available (and installed)

I used

cat /etc/redhat-release

Output: CENTOS 6.9

rpm -qa|grep libxml2

Output:
libxml2-2.7.6-21.el6_8.1.x86_64
libxml2-python-2.7.6-21.el6_8.1.x86_64
libxml2-devel-2.7.6-21.el6_8.1.x86_64

How can I update this?

Please Help!

User avatar
TrevorH
Forum Moderator
Posts: 21158
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Torubles with libxml2 update

Postby TrevorH » 2017/08/28 22:46:48

That is the latest version of libxml2 on CentOS 6. What are you really trying to do and did you check if something already supplies what you want in a packaged format.
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

senioryoshi
Posts: 2
Joined: 2017/08/28 22:05:20

Re: Torubles with libxml2 update

Postby senioryoshi » 2017/08/29 17:48:59

I'm trying to stablish a connection to a system that allows the page to make online payments on Chile (Transbank / Webpay Plus)
I tried everything and the only thing that i have different is the php extension requirements for DOM
They ask for 2.7.8 version and according to phpinfo() i have the 2.7.6 version.
Searching I found that it has to be the library libxml2 that i need to update.
I'm kinda new, so i don't understand everything.
From the Cpanel forums send me here.
Thanks in advance.